Creates an IP range targeting rule for the specified advertiser and enables targeting if it was previously disabled.
Reference
POST https://YOUR-NETWORK-DOMAIN/rest-api/advertiser/{advertiserId}/targeting/ip-range/create.do
Creates an IP range targeting rule for the specified advertiser and enables targeting if it was previously disabled. Both IPv4 and IPv6 addresses are supported. The ipFrom must be less than or equal to ipTo. Returns the created targeting rule as JSON. Requires IP_RANGE targeting permission and UPDATE permission on the advertiser.
Path Params
advertiserIdintegerrequired
Unique numeric ID of the advertiser
1234
Form Params
rulestringrequired
Targeting rule type: INCLUDE or EXCLUDE
INCLUDE
ipFromstringrequired
Start of the IP range (e.g., '194.222.012.001' for IPv4 or '2001:0db8:85a3:0000:0000:8a2e:0370:7334' for IPv6)
192.168.1.0
ipTostringrequired
End of the IP range (must be greater than or equal to ipFrom)